Package org.springframework.security.web.server.util.matcher

# Class ServerWebExchangeMatchers

java.lang.Object
org.springframework.security.web.server.util.matcher.ServerWebExchangeMatchers

public abstract class ServerWebExchangeMatchers extends Object
Provides factory methods for creating common `ServerWebExchangeMatcher`

Since:
  5.0

## Method Summary

Modifier and Type
Method
Description
`static ServerWebExchangeMatcher`
`anyExchange()`
Matches any exchange
`static ServerWebExchangeMatcher`
`matchers(ServerWebExchangeMatcher... matchers)`
Creates a matcher that will match on any of the provided matchers
`static ServerWebExchangeMatcher`
`pathMatchers(String... patterns)`
Creates a matcher that matches on any of the provided patterns.
`static ServerWebExchangeMatcher`
`pathMatchers(org.springframework.http.HttpMethod method, String... patterns)`
Creates a matcher that matches on the specific method and any of the provided patterns.
`static ServerWebExchangeMatcher`
`pathMatchers(org.springframework.http.HttpMethod method, org.springframework.web.util.pattern.PathPattern... pathPatterns)`
Creates a matcher that matches on the specific method and any of the provided `PathPattern`s.
`static ServerWebExchangeMatcher`
`pathMatchers(org.springframework.web.util.pattern.PathPattern... pathPatterns)`
Creates a matcher that matches on any of the provided `PathPattern`s.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### pathMatchers

public static ServerWebExchangeMatcher pathMatchers(org.springframework.http.HttpMethod method, String... patterns)
Creates a matcher that matches on the specific method and any of the provided patterns.

Parameters:
  `method` - the method to match on. If null, any method will be matched
  `patterns` - the patterns to match on
Returns:
  the matcher to use

### pathMatchers

public static ServerWebExchangeMatcher pathMatchers(String... patterns)
Creates a matcher that matches on any of the provided patterns.

Parameters:
  `patterns` - the patterns to match on
Returns:
  the matcher to use

### pathMatchers

public static ServerWebExchangeMatcher pathMatchers(org.springframework.web.util.pattern.PathPattern... pathPatterns)
Creates a matcher that matches on any of the provided `PathPattern`s.

Parameters:
  `pathPatterns` - the `PathPattern`s to match on
Returns:
  the matcher to use

### pathMatchers

public static ServerWebExchangeMatcher pathMatchers(org.springframework.http.HttpMethod method, org.springframework.web.util.pattern.PathPattern... pathPatterns)
Creates a matcher that matches on the specific method and any of the provided `PathPattern`s.

Parameters:
  `method` - the method to match on. If null, any method will be matched.
  `pathPatterns` - the `PathPattern`s to match on
Returns:
  the matcher to use

### matchers

public static ServerWebExchangeMatcher matchers(ServerWebExchangeMatcher... matchers)
Creates a matcher that will match on any of the provided matchers

Parameters:
  `matchers` - the matchers to match on
Returns:
  the matcher to use

### anyExchange

public static ServerWebExchangeMatcher anyExchange()
Matches any exchange

Returns:
  the matcher to use